Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.qd3d.camera
Class CameraPlacement

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.qd3d.camera.CameraPlacement

All Implemented Interfaces:
  quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class CameraPlacement
extends QTByteObject
implements quicktime.jdirect.PrimitivesLib

CameraPlacement contains information for the camera's range. Includes the location point of the camera, the camera' point of interest, and the camera's up vector positioning. refer to TQ3CameraPlacement in QuickDraw3D

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`CameraPlacement()` Creates a CameraRange object containing no data.
`CameraPlacement(Point3D cameraLocation, Point3D pointOfInterest, Vector3D upVector)` Creates a CameraRange object containing given data.

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this class.
`Point3D` | `getCameraLocation()` returns the camera placement's cameraLocation
`static EndianDescriptor` | `getEndianDescriptor()` Returns the EndianDescriptor for this class.
`Point3D` | `getPointOfInterest()` returns the camera placement's pointOfInterest
`Vector3D` | `getUpVector()` returns the camera placement's upVector
`void` | `setCameraLocation(Point3D cameraLocation)` sets the camera placement's cameraLocation
`void` | `setPointOfInterest(Point3D pointOfInterest)` sets the camera placement's pointOfInterest
`void` | `setUpVector(Vector3D upVector)` sets the camera placement's upVector
`java.lang.String` | `toString()` Returns a string representation of the class

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### CameraPlacement

    public CameraPlacement()

  Creates a CameraRange object containing no data.

### CameraPlacement

    public CameraPlacement(Point3D cameraLocation,
                           Point3D pointOfInterest,
                           Vector3D upVector)

  Creates a CameraRange object containing given data.
  Parameters:
    `cameraLocation` - The camera placement's camera location.
    `pointOfInterest` - The camera placement's point of interest.
    `upVector` - The camera placement's upVector.

Method Detail

### getEndianDescriptor

    public static final EndianDescriptor getEndianDescriptor()

  Returns the EndianDescriptor for this class.
  Returns:
    an EndianDescriptor

### getCameraLocation

    public Point3D getCameraLocation()

  returns the camera placement's cameraLocation

### getPointOfInterest

    public Point3D getPointOfInterest()

  returns the camera placement's pointOfInterest

### getUpVector

    public Vector3D getUpVector()

  returns the camera placement's upVector

### setCameraLocation

    public void setCameraLocation(Point3D cameraLocation)

  sets the camera placement's cameraLocation

### setPointOfInterest

    public void setPointOfInterest(Point3D pointOfInterest)

  sets the camera placement's pointOfInterest

### setUpVector

    public void setUpVector(Vector3D upVector)

  sets the camera placement's upVector

### clone

    public java.lang.Object clone()

  Returns a copy of this class.

### toString

    public java.lang.String toString()

  Returns a string representation of the class
  Overrides:
    `toString` in class `QTByteObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD